﻿using data.DAO;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace data
{
    internal class RemoteDatabseContext: DbContext
    {
        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            optionsBuilder.UseNpgsql("Host=localhost;port=5432;Password=admin;Username=postgres;Database=semesterWork");
        }

        DbSet<GroupDAO> groups { get; set; }

        DbSet<UserDAO> users { get; set; }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            modelBuilder.Entity<UserDAO>().HasKey(it => it.Guid);
            modelBuilder.Entity<GroupDAO>().HasKey(it => it.Id);

            modelBuilder.Entity<UserDAO>().Property(it => it.Guid).ValueGeneratedOnAdd();
            modelBuilder.Entity<GroupDAO>().Property(it => it.Id).ValueGeneratedOnAdd();

        }
    }
}
